---
title: Forgot Password
description: To manage the card of a customer, prepaid card portal access will be provided which requires login credentials.
---

To manage the card of a customer, prepaid card portal access will be provided which requires login credentials. This API is used for forgot password to get the link for reset password of the login credentials. We must pass mobile no and dob in request. If the request has valid details, the url link for reset password will be sent to the mobile no.

## POST

```
https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | text | Will be provided by Airpay (length 10, required) |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |
| processor-key | text | Will be provided by airpay(constant, required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| mobile_no | numeric | Mobile number of customer(length 10, required) |
| dob | date | DOB of customer-DOB format YYYY-MM-DD (length 10, required) |
## Request-Example:
```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX978' \
--data-urlencode 'dob=1958-01-02'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success(length 3, required) |
| message | text | Success, Fail(required) |
| data | json | {“url”:”https://test_ppc.arpy.co.in/user/resetpass”}(required) |
## Success-Response:

```
{
    "status": 200,
    "message": "success",
    "data": {
        "url": "https://testcards.arpy.co.in/user/resetpass/AIRPAYCUST1234567899630123615896989XOAFDWXZU5"
    }
}
```
## Fail-Response:

```
{
    "status": 400,
    "message": "fail"
}
```